# Tox (http://tox.testrun.org/) is a tool for running tests
# in multiple virtualenvs. This configuration file will run the
# test suite on all supported python versions. To use it, "pip install tox"
# and then run "tox" from this directory.

[tox]
envlist = py39, pycodestyle, pylint

[pycodestyle]
# E501: line too long (80 chars)
ignore = E501

[testenv]
commands =
    nosetests --cover-package=xivo_ws --with-xunit --with-coverage --cover-xml --cover-erase xivo_ws
deps =
    -rtest-requirements.txt
    coverage

[testenv:pycodestyle]
commands =
    -sh -c 'pycodestyle xivo_ws > pep8.txt'
deps =
    pycodestyle
whitelist_externals =
    sh

[testenv:pylint]
commands =
    -sh -c 'pylint xivo_ws > pylint.txt'
deps =
    -rtest-requirements.txt
    pylint
whitelist_externals =
    sh
